# Pacco
Pacco is an application for managing and hosting pacman repositories.

## Features
- Multiple repositories
- Multiple architectures
- Web UI for packages
- API for pushing new packages
- Smart mirroring

## Usage
### Package Repo
To use the packages pacco provides, add the following to `pacman.conf`:

```ini
# /etc/pacman.conf

[repo]
Include = /etc/pacman.d/mirrorlist_pacco
```

Add `/etc/pacman.d/mirrorlist_pacco`:

```
# /etc/pacman.d/mirrorlist_pacco

Server = https://example.com/pkg/$repo/$arch
```

### Add a new package
To upload a package you created with `makepkg` to a repo use curl:

```sh
curl -X POST \
-F "pkg=@./<pkg_name>-<version>-<rel>-<arch>.pkg.tar.zst" \
-F "sig=@./<pkg_name>-<version>-<rel>-<arch>.pkg.tar.zst.sig" \
-F "name=<pkg_name>" \
-F "arch=<arch>" \
-F "version=<version>" \
"https://<domain>/pkg/<repo>/upload"
```
